////////////////////////////////////////////////////////////////////////
//
//        File  Name : client.h
//        Class Name : client
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is a definition of  "client" class. This 
//                     class inherit from the "socket_type" class.
//                     
//
///////////////////////////////////////////////////////////////////////


#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include  "socket.h"


#ifndef _client_h
#define _client_h

class client : public socket_type
{
  private :
      char  *address;       // server machine IP address 
      char  id[15];         // id of the client user name
      struct sockaddr_in  serv_addr, client_addr;

  public :
      client( char *str);
      initialize();
      make_connection();
      get_id(char *id);
};


#endif
